Subject: git workflow - merging upwards

From: Patrick Sabin <[email-masked]>
Date: Thu, 16 Aug 2012 21:49:02 +0200

I read through gitworkflows and want to use the Merge Upwards rule in my 
projects:

"Always commit your fixes to the oldest supported branch that require 
them. Then (periodically) merge the integration branches upwards into 
each other."

This looks great but I have some trouble in the case if I want to have
a change in an older branch and don't want to propagate the change to
the newer branches. Let's say I have a v1.1 and a v1.2 and now a have
a bug fix/workaround which only affects version v1.1 but not v1.2. If
I commit to v1.1 then the periodical merge would merge the change to 
v1.2 which is what I don't want.

Any ideas/workarounds for that problem?

--
Patrick